# Chapter 3
# Hotelling T-square Single Sample

# Install R package and load library of functions

install.packages("ICSNP")
install.packages("mvtnorm")
library(ICSNP) 
library (mvtnorm)

# Enter Data for Two Dependent Variables

Y1 = c(-2,-4,-6,-3,-7,-2,-1,-8,-6,-9)
Y2 = c(3,4,9,3,5,4,2,4,2,8)
Y12 = data.frame(Y1,Y2)
names(Y12) = c("DV1","DV2")
Y12

# Print out correlation, means and standard deviations

cor(Y12); cov(Y12)
mean(Y12$DV1); sd(Y12$DV1)
mean(Y12$DV2); sd(Y12$DV2)

# Conduct a Hotelling T-squared test of null hypothesis, means are different than zero

muH0 <- c(0, 0)
HotellingsT2(Y12, mu=muH0)



