# Chapter 3 Hotelling T squared
# Stevens, SS (2009, 5th Edition).  Applied Multivariate Statistics
# p 148 data
set.seed(123)

install.packages("ICSNP")
# must load these functions before running them

library(ICSNP)
library(mvtnorm)

# James Steven Book P. 148
# and the independent variable Rogerian vs Adlerian

roger = matrix(c(1,3,2,3,7,2),3,2)
adler = matrix(c(4,6,6,5,5,4,6,8,8,10,10,6),6,2)

# print out the two depdendent variable data vectors
roger
adler

# create group membership
grp = matrix(c(1,1,1,2,2,2,2,2,2),9,1)
factor(grp)

# eliminate the scientific notation
options(scipen=999)

# run Hotelling T statistics
Y12 =rbind(roger,adler)

HotellingsT2(Y12 ~ grp)